## com.sun.jersey.client.proxy
Interface ViewProxy<T>

    public interface ViewProxy<T>

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.util.concurrent.Future<T>` | `asyncView(java.lang.Class<T> type, ClientRequest request, AsyncClientHandler handler)`
`java.util.concurrent.Future<T>` | `asyncView(T v, ClientRequest request, AsyncClientHandler handler)`
`T` | `view(java.lang.Class<T> type, ClientRequest request, ClientHandler handler)`
`T` | `view(java.lang.Class<T> type, ClientResponse response)`
`T` | `view(T v, ClientRequest request, ClientHandler handler)`
`T` | `view(T v, ClientResponse cr)`

Method Detail

### view

    T view(java.lang.Class<T> type,
           ClientRequest request,
           ClientHandler handler)

### view

    T view(T v,
           ClientRequest request,
           ClientHandler handler)

### asyncView

    java.util.concurrent.Future<T> asyncView(java.lang.Class<T> type,
                                             ClientRequest request,
                                             AsyncClientHandler handler)

### asyncView

    java.util.concurrent.Future<T> asyncView(T v,
                                             ClientRequest request,
                                             AsyncClientHandler handler)

### view

    T view(java.lang.Class<T> type,
           ClientResponse response)

### view

    T view(T v,
           ClientResponse cr)

Copyright © 2017 Oracle Corporation. All Rights Reserved.